"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path = tslib_1.__importStar(require("path"));
const core_1 = require("@oclif/core");
const i18next_1 = require("i18next");
const directory_1 = require("../../domains/directory");
const project_name_1 = require("../../domains/project-name");
const theme_1 = require("../../domains/theme");
class GenerateTemplate extends core_1.Command {
    async run() {
        const { flags } = await this.parse(GenerateTemplate);
        const integrationPath = await (0, directory_1.getDirectory)((0, i18next_1.t)('command.generate_template.input.integration_path'));
        const projectName = await (0, project_name_1.getProjectName)((0, i18next_1.t)('command.generate_template.input.project_name'));
        const projectPath = path.join(flags.output, projectName);
        await (0, theme_1.inheritTheme)({
            projectPath,
            integrationPath
        });
        this.log((0, i18next_1.t)('command.generate_template.message.success', {
            projectName: projectPath
        }));
        this.exit(0);
    }
}
exports.default = GenerateTemplate;
_a = GenerateTemplate;
GenerateTemplate.description = (0, i18next_1.t)('command.generate_template.description');
GenerateTemplate.examples = ['<%= config.bin %> <%= command.id %>'];
GenerateTemplate.flags = {
    output: core_1.Flags.string({
        name: 'output',
        default: '.',
        description: (0, i18next_1.t)('command.generate_template.flag.output'),
        required: false,
        multiple: false,
        parse: async (directory) => {
            return path.resolve(directory);
        }
    })
};
GenerateTemplate.args = [];
//# sourceMappingURL=template.js.map