"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const terminalHelpers_1 = require("./terminalHelpers");
const i18next_1 = require("i18next");
const checkNodeVersion = (nodeString) => {
    var _a, _b;
    const nodeVersion = (_a = nodeString.split('v')[1]) === null || _a === void 0 ? void 0 : _a.split('.')[0];
    const subNodeVersion = (_b = nodeString.split('v')[1]) === null || _b === void 0 ? void 0 : _b.split('.')[1];
    if (Number(nodeVersion) === 16 && Number(subNodeVersion) >= 13) {
        return true;
    }
    return false;
};
/** Checking if Node version is correct as per prerequisites */
const checkNode = async (writeLog) => {
    const node = (0, child_process_1.spawn)('node', ['-v']);
    return await new Promise((resolve) => {
        node.stdout.on('data', (data) => {
            writeLog(data.toString());
            if (!checkNodeVersion(data.toString())) {
                (0, terminalHelpers_1.logSimpleErrorMessage)((0, i18next_1.t)('command.generate_store.magento.node_not_ok'));
                process.exit(1);
            }
        });
        node.on('close', () => {
            writeLog((0, i18next_1.t)('command.generate_store.magento.node_ok'));
            (0, terminalHelpers_1.logSimpleSuccessMessage)((0, i18next_1.t)('command.generate_store.magento.node_ok'));
            resolve();
        });
    });
};
exports.default = checkNode;
//# sourceMappingURL=checkNode.js.map