"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const child_process_1 = require("child_process");
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
/** Copy auth.json file to Docker container */
const copyAuth = async (magentoDirName, accessKey, secretKey) => {
    const options = {
        cwd: magentoDirName
    };
    const authFile = await fs_1.default.readFileSync(path_1.default.join(magentoDirName, 'src/auth.json.sample'), 'utf-8');
    await fs_1.default.writeFileSync(path_1.default.join(magentoDirName, 'src/auth.json'), authFile
        .replace(/<public-key>/g, accessKey)
        .replace(/<private-key>/g, secretKey), 'utf-8');
    const copyToContainer = (0, child_process_1.spawn)('bin/copytocontainer', ['src/auth.json'], options);
    copyToContainer.on('close', () => { });
};
exports.default = copyAuth;
//# sourceMappingURL=copyAuth.js.map