"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const child_process_1 = require("child_process");
const prompts_1 = require("@clack/prompts");
const picocolors_1 = tslib_1.__importDefault(require("picocolors"));
const i18next_1 = require("i18next");
/** Generate sample data and upgrade */
const handleSampleData = async (magentoDirName, writeLog) => {
    const options = {
        cwd: magentoDirName,
        shell: true
    };
    const sp = (0, prompts_1.spinner)();
    return new Promise((resolve, reject) => {
        const sampleData = (0, child_process_1.spawn)('bin/magento sampledata:deploy && bin/magento setup:upgrade', options);
        sp.start(picocolors_1.default.cyan((0, i18next_1.t)('command.generate_store.progress.sample_data_start')));
        sampleData.stdout.on('data', (data) => {
            writeLog(data.toString());
        });
        sampleData.stderr.on('data', (data) => {
            writeLog(data.toString());
        });
        sampleData.on('close', (code) => {
            if (code === 0) {
                sp.stop(picocolors_1.default.green((0, i18next_1.t)('command.generate_store.progress.sample_data_end')));
                resolve(1);
            }
            else {
                sp.stop(picocolors_1.default.red((0, i18next_1.t)('command.generate_store.progress.sample_data_failed')));
                reject();
            }
        });
    });
};
exports.default = handleSampleData;
//# sourceMappingURL=handleSampleData.js.map