"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const child_process_1 = require("child_process");
const prompts_1 = require("@clack/prompts");
const picocolors_1 = tslib_1.__importDefault(require("picocolors"));
const i18next_1 = require("i18next");
/** Generate sample data and upgrade */
const installDeps = async (vsfDirName, writeLog) => {
    const options = {
        cwd: vsfDirName
    };
    const sp = (0, prompts_1.spinner)();
    return new Promise((resolve) => {
        const install = (0, child_process_1.spawn)('yarn', options);
        sp.start(picocolors_1.default.cyan((0, i18next_1.t)('command.generate_store.progress.install_deps_start')));
        install.stdout.on('data', (data) => {
            writeLog(data.toString());
        });
        install.stderr.on('data', (data) => {
            writeLog(data.toString());
        });
        install.on('close', () => {
            sp.stop(picocolors_1.default.green((0, i18next_1.t)('command.generate_store.progress.install_deps_end')));
            resolve(1);
        });
    });
};
exports.default = installDeps;
//# sourceMappingURL=installDeps.js.map