"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.simpleLog = exports.logSimpleInfoMessage = exports.logSimpleWarningMessage = exports.logSimpleErrorMessage = exports.logSimpleSuccessMessage = void 0;
const tslib_1 = require("tslib");
const picocolors_1 = tslib_1.__importDefault(require("picocolors"));
const prompts_1 = require("@clack/prompts");
function logSimpleSuccessMessage(message) {
    simpleLog(message, picocolors_1.default.green);
}
exports.logSimpleSuccessMessage = logSimpleSuccessMessage;
function logSimpleErrorMessage(message) {
    simpleLog(message, picocolors_1.default.red);
}
exports.logSimpleErrorMessage = logSimpleErrorMessage;
function logSimpleWarningMessage(message) {
    simpleLog(message, picocolors_1.default.yellow);
}
exports.logSimpleWarningMessage = logSimpleWarningMessage;
function logSimpleInfoMessage(message) {
    simpleLog(message, picocolors_1.default.cyan);
}
exports.logSimpleInfoMessage = logSimpleInfoMessage;
function simpleLog(message, pc) {
    const sp = (0, prompts_1.spinner)();
    if (pc) {
        sp.start(pc(message));
        sp.stop(pc(message));
    }
    else {
        sp.start(message);
        sp.stop(message);
    }
}
exports.simpleLog = simpleLog;
//# sourceMappingURL=terminalHelpers.js.map