"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("fs"));
const path = tslib_1.__importStar(require("path"));
const execa_1 = tslib_1.__importDefault(require("execa"));
const processMagicComments_1 = tslib_1.__importDefault(require("./processMagicComments"));
const directory_1 = require("../directory");
const VSF_TU_CONFIG_FILENAME = 'theme-utils.config.js';
const NUXT_CONFIG_FILENAME = 'nuxt.config.js';
const inheritTheme = async (options) => {
    const { integrationPath, projectPath } = options;
    const configPath = path.join(integrationPath, VSF_TU_CONFIG_FILENAME);
    await fs.promises.writeFile(configPath, `module.exports = {
  copy: {
    to: '${projectPath}',
    from: [
      {
        path: '${path.join(integrationPath, '_theme')}',
        watch: false
      },
      {
        path: '${integrationPath}',
        ignore: ['generate-template.ts', 'theme-utils.config.js'],
        variables: {},
        watch: false
      }
    ]
  }
};
`);
    await (0, execa_1.default)(require.resolve('@vue-storefront/theme-utilities'), ['--config', configPath, '--output', projectPath]);
    await (0, directory_1.removeFileOrDirectory)(configPath);
    await (0, processMagicComments_1.default)(path.join(projectPath, NUXT_CONFIG_FILENAME));
    await (0, directory_1.removeFileOrDirectory)(path.join(projectPath, '_theme'));
};
exports.default = inheritTheme;
//# sourceMappingURL=inheritTheme.js.map